Redmine - Feature #40190

Stop appending the utf8 checkmark parameter to form URLs
2024-02-04 06:56 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.0.0

Resolution: Fixed

Description

Ruby on Rails appends the "utf8=[l" parameter to form URLSs. | propose to remove this parameter by setting
config.action_view.default_enforce_utf8 to false.
https://guides.rubyonrails.org/v7.1/configuring.html#config-action-view-default-enforce-utf8

The parameter is added to prevent older versions of Internet Explorer from encoding UTF-8 strings with Latin1. But Microsoft ended
the support for Internet Explorer in 2021 and Redmine also dropped support for Internet Explorer in Redmine 5.0 (#34978). So, |
believe the "utf8=[" parameter is no longer necessary.

What is the _snowman param in Ruby on Rails 3 forms for? - Stack Overflow

Removing the "utf8=[" parameter has the following benefits:

1. URLs will be a bit cleaner
2. The code to handle "utf8=[" can be removed
3. Problems caused by the parameter such as #31831 will never occur

Related issues:
Related to Redmine - Defect #31831: Back url parse in validation Closed

Associated revisions

Revision 22709 - 2024-02-14 00:13 - Marius BALTEANU
Stop appending the utf8 checkmark parameter to form URLs (#40190).

Patch by Go MAEDA (@maeda).

Revision 22713 - 2024-02-14 02:48 - Go MAEDA
Remove an empty file (#40190).

History

#1 - 2024-02-05 03:09 - Go MAEDA
- Related to Defect #31831: Back url parse in validation added

#2 - 2024-02-13 10:32 - Marius BALTEANU
- Assignee set to Marius BALTEANU

#3 - 2024-02-14 00:14 - Marius BALTEANU
- Status changed from New to Resolved
- Target version set to 6.0.0

- Resolution set to Fixed
Committed, thanks! It is a nice cleanup!

#4 - 2024-02-14 08:59 - Marius BALTEANU

- Status changed from Resolved to Closed
